'use strict';

var _defineProperty = require('@babel/runtime/helpers/defineProperty');

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
/**
 * @param {MinterApiInstance} apiInstance
 * @param {import('axios').AxiosRequestConfig} [factoryAxiosOptions]
 * @return {GetMinGasPriceInstance}
 */
function GetMinGasPrice(apiInstance, factoryAxiosOptions) {
  /**
   * Get current minimal gas price
   * @typedef {Function} GetMinGasPriceInstance
   * @param {import('axios').AxiosRequestConfig} [axiosOptions]
   * @return {Promise<number>}
   */
  return function getMinGasPrice(axiosOptions) {
    return apiInstance.get('min_gas_price', _objectSpread(_objectSpread({}, factoryAxiosOptions), axiosOptions)).then(function (response) {
      var resData = response.data;
      var minGasPrice = resData.min_gas_price;
      return Number(minGasPrice);
    });
  };
}

module.exports = GetMinGasPrice;
