'use strict';

var _Hash = require('./_Hash.js');
var _ListCache = require('./_ListCache.js');
var _Map = require('./_Map.js');

/**
 * Removes all key-value entries from the map.
 *
 * @private
 * @name clear
 * @memberOf MapCache
 */
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    'hash': new _Hash(),
    'map': new (_Map || _ListCache)(),
    'string': new _Hash()
  };
}

module.exports = mapCacheClear;
