'use strict';

var minterjsTx = require('minterjs-tx');
var utils = require('../utils.js');

/**
 * @param {number|string} id
 * @param {TxOptions} [options]
 * @constructor
 */
function RemoveLimitOrderTxData(_ref) {
  var id = _ref.id;
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  if (!options.disableValidation) {
    utils.validateUint(id, 'height');
  }
  this.id = id;
  this.txData = new minterjsTx.TxDataRemoveLimitOrder({
    id: utils.integerToHexString(id)
  });
  utils.proxyNestedTxData(this);
}

/**
 * @param {Buffer|string|number} id
 * @param {TxOptions} [options]
 * @return {RemoveLimitOrderTxData}
 */
RemoveLimitOrderTxData.fromBufferFields = function fromBufferFields(_ref2) {
  var id = _ref2.id;
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return new RemoveLimitOrderTxData({
    id: utils.dataToInteger(id)
  }, options);
};

/**
 * @param {Buffer|string} data
 * @return {RemoveLimitOrderTxData}
 */
RemoveLimitOrderTxData.fromRlp = function fromRlp(data) {
  return RemoveLimitOrderTxData.fromBufferFields(new minterjsTx.TxDataRemoveLimitOrder(data));
};

module.exports = RemoveLimitOrderTxData;
